/**
 */
package socialnetwork;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;

/**
 * <!-- begin-user-doc -->
 * The <b>Package</b> for the model.
 * It contains accessors for the meta objects to represent
 * <ul>
 *   <li>each class,</li>
 *   <li>each feature of each class,</li>
 *   <li>each operation of each class,</li>
 *   <li>each enum,</li>
 *   <li>and each data type</li>
 * </ul>
 * <!-- end-user-doc -->
 * @see socialnetwork.SocialnetworkFactory
 * @model kind="package"
 * @generated
 */
public interface SocialnetworkPackage extends EPackage {
	/**
	 * The package name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNAME = "socialnetwork";

	/**
	 * The package namespace URI.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_URI = "http://hu.bme.mit/socialnetwork";

	/**
	 * The package namespace name.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	String eNS_PREFIX = "socialnetwork";

	/**
	 * The singleton instance of the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	SocialnetworkPackage eINSTANCE = socialnetwork.impl.SocialnetworkPackageImpl.init();

	/**
	 * The meta object id for the '{@link socialnetwork.impl.SocialNetworkImpl <em>Social Network</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see socialnetwork.impl.SocialNetworkImpl
	 * @see socialnetwork.impl.SocialnetworkPackageImpl#getSocialNetwork()
	 * @generated
	 */
	int SOCIAL_NETWORK = 0;

	/**
	 * The feature id for the '<em><b>Acquaintances</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SOCIAL_NETWORK__ACQUAINTANCES = 0;

	/**
	 * The feature id for the '<em><b>Entities</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SOCIAL_NETWORK__ENTITIES = 1;

	/**
	 * The number of structural features of the '<em>Social Network</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SOCIAL_NETWORK_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Social Network</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SOCIAL_NETWORK_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link socialnetwork.impl.SocialEntityImpl <em>Social Entity</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see socialnetwork.impl.SocialEntityImpl
	 * @see socialnetwork.impl.SocialnetworkPackageImpl#getSocialEntity()
	 * @generated
	 */
	int SOCIAL_ENTITY = 1;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SOCIAL_ENTITY__NAME = 0;

	/**
	 * The feature id for the '<em><b>Network</b></em>' container reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SOCIAL_ENTITY__NETWORK = 1;

	/**
	 * The number of structural features of the '<em>Social Entity</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SOCIAL_ENTITY_FEATURE_COUNT = 2;

	/**
	 * The number of operations of the '<em>Social Entity</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int SOCIAL_ENTITY_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link socialnetwork.impl.CommunityImpl <em>Community</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see socialnetwork.impl.CommunityImpl
	 * @see socialnetwork.impl.SocialnetworkPackageImpl#getCommunity()
	 * @generated
	 */
	int COMMUNITY = 2;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMMUNITY__NAME = SOCIAL_ENTITY__NAME;

	/**
	 * The feature id for the '<em><b>Network</b></em>' container reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMMUNITY__NETWORK = SOCIAL_ENTITY__NETWORK;

	/**
	 * The feature id for the '<em><b>Members</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMMUNITY__MEMBERS = SOCIAL_ENTITY_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Parent Community</b></em>' container reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMMUNITY__PARENT_COMMUNITY = SOCIAL_ENTITY_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Sub Community</b></em>' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMMUNITY__SUB_COMMUNITY = SOCIAL_ENTITY_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Community</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMMUNITY_FEATURE_COUNT = SOCIAL_ENTITY_FEATURE_COUNT + 3;

	/**
	 * The number of operations of the '<em>Community</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int COMMUNITY_OPERATION_COUNT = SOCIAL_ENTITY_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link socialnetwork.impl.PersonImpl <em>Person</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see socialnetwork.impl.PersonImpl
	 * @see socialnetwork.impl.SocialnetworkPackageImpl#getPerson()
	 * @generated
	 */
	int PERSON = 3;

	/**
	 * The feature id for the '<em><b>Name</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERSON__NAME = SOCIAL_ENTITY__NAME;

	/**
	 * The feature id for the '<em><b>Network</b></em>' container reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERSON__NETWORK = SOCIAL_ENTITY__NETWORK;

	/**
	 * The feature id for the '<em><b>Sex</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERSON__SEX = SOCIAL_ENTITY_FEATURE_COUNT + 0;

	/**
	 * The feature id for the '<em><b>Age</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERSON__AGE = SOCIAL_ENTITY_FEATURE_COUNT + 1;

	/**
	 * The feature id for the '<em><b>Memberships</b></em>' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERSON__MEMBERSHIPS = SOCIAL_ENTITY_FEATURE_COUNT + 2;

	/**
	 * The number of structural features of the '<em>Person</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERSON_FEATURE_COUNT = SOCIAL_ENTITY_FEATURE_COUNT + 3;

	/**
	 * The number of operations of the '<em>Person</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int PERSON_OPERATION_COUNT = SOCIAL_ENTITY_OPERATION_COUNT + 0;

	/**
	 * The meta object id for the '{@link socialnetwork.impl.AcquaintanceImpl <em>Acquaintance</em>}' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see socialnetwork.impl.AcquaintanceImpl
	 * @see socialnetwork.impl.SocialnetworkPackageImpl#getAcquaintance()
	 * @generated
	 */
	int ACQUAINTANCE = 4;

	/**
	 * The feature id for the '<em><b>Type</b></em>' attribute list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACQUAINTANCE__TYPE = 0;

	/**
	 * The feature id for the '<em><b>Source</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACQUAINTANCE__SOURCE = 1;

	/**
	 * The feature id for the '<em><b>Target</b></em>' reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACQUAINTANCE__TARGET = 2;

	/**
	 * The feature id for the '<em><b>Network</b></em>' container reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACQUAINTANCE__NETWORK = 3;

	/**
	 * The number of structural features of the '<em>Acquaintance</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACQUAINTANCE_FEATURE_COUNT = 4;

	/**
	 * The number of operations of the '<em>Acquaintance</em>' class.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 * @ordered
	 */
	int ACQUAINTANCE_OPERATION_COUNT = 0;

	/**
	 * The meta object id for the '{@link socialnetwork.Sex <em>Sex</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see socialnetwork.Sex
	 * @see socialnetwork.impl.SocialnetworkPackageImpl#getSex()
	 * @generated
	 */
	int SEX = 5;

	/**
	 * The meta object id for the '{@link socialnetwork.AcquaintanceType <em>Acquaintance Type</em>}' enum.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see socialnetwork.AcquaintanceType
	 * @see socialnetwork.impl.SocialnetworkPackageImpl#getAcquaintanceType()
	 * @generated
	 */
	int ACQUAINTANCE_TYPE = 6;


	/**
	 * Returns the meta object for class '{@link socialnetwork.SocialNetwork <em>Social Network</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Social Network</em>'.
	 * @see socialnetwork.SocialNetwork
	 * @generated
	 */
	EClass getSocialNetwork();

	/**
	 * Returns the meta object for the containment reference list '{@link socialnetwork.SocialNetwork#getAcquaintances <em>Acquaintances</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Acquaintances</em>'.
	 * @see socialnetwork.SocialNetwork#getAcquaintances()
	 * @see #getSocialNetwork()
	 * @generated
	 */
	EReference getSocialNetwork_Acquaintances();

	/**
	 * Returns the meta object for the containment reference list '{@link socialnetwork.SocialNetwork#getEntities <em>Entities</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Entities</em>'.
	 * @see socialnetwork.SocialNetwork#getEntities()
	 * @see #getSocialNetwork()
	 * @generated
	 */
	EReference getSocialNetwork_Entities();

	/**
	 * Returns the meta object for class '{@link socialnetwork.SocialEntity <em>Social Entity</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Social Entity</em>'.
	 * @see socialnetwork.SocialEntity
	 * @generated
	 */
	EClass getSocialEntity();

	/**
	 * Returns the meta object for the attribute '{@link socialnetwork.SocialEntity#getName <em>Name</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Name</em>'.
	 * @see socialnetwork.SocialEntity#getName()
	 * @see #getSocialEntity()
	 * @generated
	 */
	EAttribute getSocialEntity_Name();

	/**
	 * Returns the meta object for the container reference '{@link socialnetwork.SocialEntity#getNetwork <em>Network</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the container reference '<em>Network</em>'.
	 * @see socialnetwork.SocialEntity#getNetwork()
	 * @see #getSocialEntity()
	 * @generated
	 */
	EReference getSocialEntity_Network();

	/**
	 * Returns the meta object for class '{@link socialnetwork.Community <em>Community</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Community</em>'.
	 * @see socialnetwork.Community
	 * @generated
	 */
	EClass getCommunity();

	/**
	 * Returns the meta object for the reference list '{@link socialnetwork.Community#getMembers <em>Members</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Members</em>'.
	 * @see socialnetwork.Community#getMembers()
	 * @see #getCommunity()
	 * @generated
	 */
	EReference getCommunity_Members();

	/**
	 * Returns the meta object for the container reference '{@link socialnetwork.Community#getParentCommunity <em>Parent Community</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the container reference '<em>Parent Community</em>'.
	 * @see socialnetwork.Community#getParentCommunity()
	 * @see #getCommunity()
	 * @generated
	 */
	EReference getCommunity_ParentCommunity();

	/**
	 * Returns the meta object for the containment reference list '{@link socialnetwork.Community#getSubCommunity <em>Sub Community</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the containment reference list '<em>Sub Community</em>'.
	 * @see socialnetwork.Community#getSubCommunity()
	 * @see #getCommunity()
	 * @generated
	 */
	EReference getCommunity_SubCommunity();

	/**
	 * Returns the meta object for class '{@link socialnetwork.Person <em>Person</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Person</em>'.
	 * @see socialnetwork.Person
	 * @generated
	 */
	EClass getPerson();

	/**
	 * Returns the meta object for the attribute '{@link socialnetwork.Person#getSex <em>Sex</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Sex</em>'.
	 * @see socialnetwork.Person#getSex()
	 * @see #getPerson()
	 * @generated
	 */
	EAttribute getPerson_Sex();

	/**
	 * Returns the meta object for the attribute '{@link socialnetwork.Person#getAge <em>Age</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute '<em>Age</em>'.
	 * @see socialnetwork.Person#getAge()
	 * @see #getPerson()
	 * @generated
	 */
	EAttribute getPerson_Age();

	/**
	 * Returns the meta object for the reference list '{@link socialnetwork.Person#getMemberships <em>Memberships</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference list '<em>Memberships</em>'.
	 * @see socialnetwork.Person#getMemberships()
	 * @see #getPerson()
	 * @generated
	 */
	EReference getPerson_Memberships();

	/**
	 * Returns the meta object for class '{@link socialnetwork.Acquaintance <em>Acquaintance</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for class '<em>Acquaintance</em>'.
	 * @see socialnetwork.Acquaintance
	 * @generated
	 */
	EClass getAcquaintance();

	/**
	 * Returns the meta object for the attribute list '{@link socialnetwork.Acquaintance#getType <em>Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the attribute list '<em>Type</em>'.
	 * @see socialnetwork.Acquaintance#getType()
	 * @see #getAcquaintance()
	 * @generated
	 */
	EAttribute getAcquaintance_Type();

	/**
	 * Returns the meta object for the reference '{@link socialnetwork.Acquaintance#getSource <em>Source</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Source</em>'.
	 * @see socialnetwork.Acquaintance#getSource()
	 * @see #getAcquaintance()
	 * @generated
	 */
	EReference getAcquaintance_Source();

	/**
	 * Returns the meta object for the reference '{@link socialnetwork.Acquaintance#getTarget <em>Target</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the reference '<em>Target</em>'.
	 * @see socialnetwork.Acquaintance#getTarget()
	 * @see #getAcquaintance()
	 * @generated
	 */
	EReference getAcquaintance_Target();

	/**
	 * Returns the meta object for the container reference '{@link socialnetwork.Acquaintance#getNetwork <em>Network</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for the container reference '<em>Network</em>'.
	 * @see socialnetwork.Acquaintance#getNetwork()
	 * @see #getAcquaintance()
	 * @generated
	 */
	EReference getAcquaintance_Network();

	/**
	 * Returns the meta object for enum '{@link socialnetwork.Sex <em>Sex</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Sex</em>'.
	 * @see socialnetwork.Sex
	 * @generated
	 */
	EEnum getSex();

	/**
	 * Returns the meta object for enum '{@link socialnetwork.AcquaintanceType <em>Acquaintance Type</em>}'.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the meta object for enum '<em>Acquaintance Type</em>'.
	 * @see socialnetwork.AcquaintanceType
	 * @generated
	 */
	EEnum getAcquaintanceType();

	/**
	 * Returns the factory that creates the instances of the model.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @return the factory that creates the instances of the model.
	 * @generated
	 */
	SocialnetworkFactory getSocialnetworkFactory();

	/**
	 * <!-- begin-user-doc -->
	 * Defines literals for the meta objects that represent
	 * <ul>
	 *   <li>each class,</li>
	 *   <li>each feature of each class,</li>
	 *   <li>each operation of each class,</li>
	 *   <li>each enum,</li>
	 *   <li>and each data type</li>
	 * </ul>
	 * <!-- end-user-doc -->
	 * @generated
	 */
	interface Literals {
		/**
		 * The meta object literal for the '{@link socialnetwork.impl.SocialNetworkImpl <em>Social Network</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see socialnetwork.impl.SocialNetworkImpl
		 * @see socialnetwork.impl.SocialnetworkPackageImpl#getSocialNetwork()
		 * @generated
		 */
		EClass SOCIAL_NETWORK = eINSTANCE.getSocialNetwork();

		/**
		 * The meta object literal for the '<em><b>Acquaintances</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SOCIAL_NETWORK__ACQUAINTANCES = eINSTANCE.getSocialNetwork_Acquaintances();

		/**
		 * The meta object literal for the '<em><b>Entities</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SOCIAL_NETWORK__ENTITIES = eINSTANCE.getSocialNetwork_Entities();

		/**
		 * The meta object literal for the '{@link socialnetwork.impl.SocialEntityImpl <em>Social Entity</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see socialnetwork.impl.SocialEntityImpl
		 * @see socialnetwork.impl.SocialnetworkPackageImpl#getSocialEntity()
		 * @generated
		 */
		EClass SOCIAL_ENTITY = eINSTANCE.getSocialEntity();

		/**
		 * The meta object literal for the '<em><b>Name</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute SOCIAL_ENTITY__NAME = eINSTANCE.getSocialEntity_Name();

		/**
		 * The meta object literal for the '<em><b>Network</b></em>' container reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference SOCIAL_ENTITY__NETWORK = eINSTANCE.getSocialEntity_Network();

		/**
		 * The meta object literal for the '{@link socialnetwork.impl.CommunityImpl <em>Community</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see socialnetwork.impl.CommunityImpl
		 * @see socialnetwork.impl.SocialnetworkPackageImpl#getCommunity()
		 * @generated
		 */
		EClass COMMUNITY = eINSTANCE.getCommunity();

		/**
		 * The meta object literal for the '<em><b>Members</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMMUNITY__MEMBERS = eINSTANCE.getCommunity_Members();

		/**
		 * The meta object literal for the '<em><b>Parent Community</b></em>' container reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMMUNITY__PARENT_COMMUNITY = eINSTANCE.getCommunity_ParentCommunity();

		/**
		 * The meta object literal for the '<em><b>Sub Community</b></em>' containment reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference COMMUNITY__SUB_COMMUNITY = eINSTANCE.getCommunity_SubCommunity();

		/**
		 * The meta object literal for the '{@link socialnetwork.impl.PersonImpl <em>Person</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see socialnetwork.impl.PersonImpl
		 * @see socialnetwork.impl.SocialnetworkPackageImpl#getPerson()
		 * @generated
		 */
		EClass PERSON = eINSTANCE.getPerson();

		/**
		 * The meta object literal for the '<em><b>Sex</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PERSON__SEX = eINSTANCE.getPerson_Sex();

		/**
		 * The meta object literal for the '<em><b>Age</b></em>' attribute feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute PERSON__AGE = eINSTANCE.getPerson_Age();

		/**
		 * The meta object literal for the '<em><b>Memberships</b></em>' reference list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference PERSON__MEMBERSHIPS = eINSTANCE.getPerson_Memberships();

		/**
		 * The meta object literal for the '{@link socialnetwork.impl.AcquaintanceImpl <em>Acquaintance</em>}' class.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see socialnetwork.impl.AcquaintanceImpl
		 * @see socialnetwork.impl.SocialnetworkPackageImpl#getAcquaintance()
		 * @generated
		 */
		EClass ACQUAINTANCE = eINSTANCE.getAcquaintance();

		/**
		 * The meta object literal for the '<em><b>Type</b></em>' attribute list feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EAttribute ACQUAINTANCE__TYPE = eINSTANCE.getAcquaintance_Type();

		/**
		 * The meta object literal for the '<em><b>Source</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ACQUAINTANCE__SOURCE = eINSTANCE.getAcquaintance_Source();

		/**
		 * The meta object literal for the '<em><b>Target</b></em>' reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ACQUAINTANCE__TARGET = eINSTANCE.getAcquaintance_Target();

		/**
		 * The meta object literal for the '<em><b>Network</b></em>' container reference feature.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @generated
		 */
		EReference ACQUAINTANCE__NETWORK = eINSTANCE.getAcquaintance_Network();

		/**
		 * The meta object literal for the '{@link socialnetwork.Sex <em>Sex</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see socialnetwork.Sex
		 * @see socialnetwork.impl.SocialnetworkPackageImpl#getSex()
		 * @generated
		 */
		EEnum SEX = eINSTANCE.getSex();

		/**
		 * The meta object literal for the '{@link socialnetwork.AcquaintanceType <em>Acquaintance Type</em>}' enum.
		 * <!-- begin-user-doc -->
		 * <!-- end-user-doc -->
		 * @see socialnetwork.AcquaintanceType
		 * @see socialnetwork.impl.SocialnetworkPackageImpl#getAcquaintanceType()
		 * @generated
		 */
		EEnum ACQUAINTANCE_TYPE = eINSTANCE.getAcquaintanceType();

	}

} //SocialnetworkPackage
