/**
 */
package socialnetwork.impl;

import java.util.Collection;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;

import org.eclipse.emf.ecore.impl.ENotificationImpl;

import org.eclipse.emf.ecore.util.EObjectContainmentWithInverseEList;
import org.eclipse.emf.ecore.util.EObjectWithInverseResolvingEList;
import org.eclipse.emf.ecore.util.EcoreUtil;
import org.eclipse.emf.ecore.util.InternalEList;

import socialnetwork.Community;
import socialnetwork.Person;
import socialnetwork.SocialnetworkPackage;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Community</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link socialnetwork.impl.CommunityImpl#getMembers <em>Members</em>}</li>
 *   <li>{@link socialnetwork.impl.CommunityImpl#getParentCommunity <em>Parent Community</em>}</li>
 *   <li>{@link socialnetwork.impl.CommunityImpl#getSubCommunity <em>Sub Community</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class CommunityImpl extends SocialEntityImpl implements Community {
	/**
	 * The cached value of the '{@link #getMembers() <em>Members</em>}' reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getMembers()
	 * @generated
	 * @ordered
	 */
	protected EList<Person> members;

	/**
	 * The cached value of the '{@link #getSubCommunity() <em>Sub Community</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSubCommunity()
	 * @generated
	 * @ordered
	 */
	protected EList<Community> subCommunity;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected CommunityImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return SocialnetworkPackage.Literals.COMMUNITY;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<Person> getMembers() {
		if (members == null) {
			members = new EObjectWithInverseResolvingEList.ManyInverse<Person>(Person.class, this, SocialnetworkPackage.COMMUNITY__MEMBERS, SocialnetworkPackage.PERSON__MEMBERSHIPS);
		}
		return members;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public Community getParentCommunity() {
		if (eContainerFeatureID() != SocialnetworkPackage.COMMUNITY__PARENT_COMMUNITY) return null;
		return (Community)eInternalContainer();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetParentCommunity(Community newParentCommunity, NotificationChain msgs) {
		msgs = eBasicSetContainer((InternalEObject)newParentCommunity, SocialnetworkPackage.COMMUNITY__PARENT_COMMUNITY, msgs);
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setParentCommunity(Community newParentCommunity) {
		if (newParentCommunity != eInternalContainer() || (eContainerFeatureID() != SocialnetworkPackage.COMMUNITY__PARENT_COMMUNITY && newParentCommunity != null)) {
			if (EcoreUtil.isAncestor(this, newParentCommunity))
				throw new IllegalArgumentException("Recursive containment not allowed for " + toString());
			NotificationChain msgs = null;
			if (eInternalContainer() != null)
				msgs = eBasicRemoveFromContainer(msgs);
			if (newParentCommunity != null)
				msgs = ((InternalEObject)newParentCommunity).eInverseAdd(this, SocialnetworkPackage.COMMUNITY__SUB_COMMUNITY, Community.class, msgs);
			msgs = basicSetParentCommunity(newParentCommunity, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, SocialnetworkPackage.COMMUNITY__PARENT_COMMUNITY, newParentCommunity, newParentCommunity));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<Community> getSubCommunity() {
		if (subCommunity == null) {
			subCommunity = new EObjectContainmentWithInverseEList<Community>(Community.class, this, SocialnetworkPackage.COMMUNITY__SUB_COMMUNITY, SocialnetworkPackage.COMMUNITY__PARENT_COMMUNITY);
		}
		return subCommunity;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public NotificationChain eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case SocialnetworkPackage.COMMUNITY__MEMBERS:
				return ((InternalEList<InternalEObject>)(InternalEList<?>)getMembers()).basicAdd(otherEnd, msgs);
			case SocialnetworkPackage.COMMUNITY__PARENT_COMMUNITY:
				if (eInternalContainer() != null)
					msgs = eBasicRemoveFromContainer(msgs);
				return basicSetParentCommunity((Community)otherEnd, msgs);
			case SocialnetworkPackage.COMMUNITY__SUB_COMMUNITY:
				return ((InternalEList<InternalEObject>)(InternalEList<?>)getSubCommunity()).basicAdd(otherEnd, msgs);
		}
		return super.eInverseAdd(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case SocialnetworkPackage.COMMUNITY__MEMBERS:
				return ((InternalEList<?>)getMembers()).basicRemove(otherEnd, msgs);
			case SocialnetworkPackage.COMMUNITY__PARENT_COMMUNITY:
				return basicSetParentCommunity(null, msgs);
			case SocialnetworkPackage.COMMUNITY__SUB_COMMUNITY:
				return ((InternalEList<?>)getSubCommunity()).basicRemove(otherEnd, msgs);
		}
		return super.eInverseRemove(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs) {
		switch (eContainerFeatureID()) {
			case SocialnetworkPackage.COMMUNITY__PARENT_COMMUNITY:
				return eInternalContainer().eInverseRemove(this, SocialnetworkPackage.COMMUNITY__SUB_COMMUNITY, Community.class, msgs);
		}
		return super.eBasicRemoveFromContainerFeature(msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case SocialnetworkPackage.COMMUNITY__MEMBERS:
				return getMembers();
			case SocialnetworkPackage.COMMUNITY__PARENT_COMMUNITY:
				return getParentCommunity();
			case SocialnetworkPackage.COMMUNITY__SUB_COMMUNITY:
				return getSubCommunity();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case SocialnetworkPackage.COMMUNITY__MEMBERS:
				getMembers().clear();
				getMembers().addAll((Collection<? extends Person>)newValue);
				return;
			case SocialnetworkPackage.COMMUNITY__PARENT_COMMUNITY:
				setParentCommunity((Community)newValue);
				return;
			case SocialnetworkPackage.COMMUNITY__SUB_COMMUNITY:
				getSubCommunity().clear();
				getSubCommunity().addAll((Collection<? extends Community>)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case SocialnetworkPackage.COMMUNITY__MEMBERS:
				getMembers().clear();
				return;
			case SocialnetworkPackage.COMMUNITY__PARENT_COMMUNITY:
				setParentCommunity((Community)null);
				return;
			case SocialnetworkPackage.COMMUNITY__SUB_COMMUNITY:
				getSubCommunity().clear();
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case SocialnetworkPackage.COMMUNITY__MEMBERS:
				return members != null && !members.isEmpty();
			case SocialnetworkPackage.COMMUNITY__PARENT_COMMUNITY:
				return getParentCommunity() != null;
			case SocialnetworkPackage.COMMUNITY__SUB_COMMUNITY:
				return subCommunity != null && !subCommunity.isEmpty();
		}
		return super.eIsSet(featureID);
	}

} //CommunityImpl
